﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.FilmCasting.AutoDie.IService
{
    public interface IPlcLinkExt : INotifyPropertyChanged
    {
        #region 当前值
        /// <summary>
        /// 当前电流 有没？
        /// </summary>
        bool HasElectricity { get; }
        /// <summary>
        /// 风机是否启动？
        /// </summary>
        bool HasFan { get; }

        bool IsConected { get; }
        #endregion

        #region 输出

        void SetChannelCnt(int channelCnt);
        /// <summary>
        /// 设置加热量
        /// </summary>
        /// <param name="values"></param>
        void SetHeats(IEnumerable<double> values);

        #endregion


    }
}
