﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Weight.Server
{
    public class SysParam : Misc.ISaveToXml
    {
        /// <summary>
        /// OBJ服务端口
        /// </summary>
        public int OBJ_Port { get; set; } = 20005;

        /// <summary>
        /// 远程服务器
        /// </summary>
        public string BlowingAddr { get; set; } = "127.0.0.1:20006";

        /// <summary>
        /// 数据库保持时间 默认6个月
        /// </summary>
        public int DBKeepMonth { get; set; } = 6;

        public SysParam()
        {
            Load();
        }
        public void Save()
        {
            Misc.SaveToXmlHepler.Save("system.xml", this);
        }
        public void Load()
        {
            Misc.SaveToXmlHepler.Load("system.xml", this);
        }

        public string[] GetSavePropertyNames()
        {
            return new string[]{
                "OBJ_Port",
                "BlowingAddr",
                "DBKeepMonth"
            };
        }
    }
}
